Package twisted :: Package spread :: Module publish :: Class Publishable |
[frames | no frames]

## Class Publishable

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
                Cacheable --+
                            |
                           Publishable

An object whose cached state persists across sessions.

Method Summary
| `__init__(self, publishedID)`
| ``getStateToCacheAndObserveFor`(self, perspective, observer)` Get all necessary metadata to keep a clientside cache.
| ``getStateToPublish`(self)` Implement me to return state to copy as part of the publish phase.
| ``getStateToPublishFor`(self, perspective)` Implement me to special-case your state for a perspective.
| ``republish`(self)` Set the timestamp to current and (TODO) update all observers.
| ``view_getStateToPublish`(self, perspective)` (internal)
Inherited from Cacheable
| ``jellyFor`(self, jellier)` Return an appropriate tuple to serialize me.
| ``stoppedObserving`(self, perspective, observer)` This method is called when a client has stopped observing me.
Inherited from Copyable
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer.
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective.
| ``getTypeToCopy`(self)` Determine what type tag to send for me.
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Method Details

### getStateToCacheAndObserveFor(self, perspective, observer) Get all necessary metadata to keep a clientside cache. Overrides: `twisted.spread.flavors.Cacheable.getStateToCacheAndObserveFor`

### getStateToPublish(self) Implement me to return state to copy as part of the publish phase.

### getStateToPublishFor(self, perspective) Implement me to special-case your state for a perspective.

### republish(self) Set the timestamp to current and (TODO) update all observers.

### view_getStateToPublish(self, perspective) (internal)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net